QGIS Application - Bug report #16009
WFS layers cannot be loaded anymore on QGIS 2.18.*
2016-12-23 06:31 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee: Even Rouault

Category: Web Services clients/WFS

Affected QGIS version:2.18.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 23924
Description

layers from

http://www.igeo.pt/WFS/Ambiente/MassasAgua

are loaded empty on QGIS 2.18.* while they load ok on 2.14.*.

Notice that on 2.14.* the only CRS available (as expected) for such layers is 3763. On 2.18.* it shows also 4326. Manually changing the
CRS to 3763 does not workaround the problem.

History

#1 - 2017-01-14 07:00 AM - Even Rouault
- Assignee set to Even Rouault

#2 - 2017-01-14 07:44 AM - Even Rouault

Fixed in master 6de4fceec285ab3f271b2ff6d6bf209dd6fface0 and release-2_18 in e0d7374fc9e89620217a898fc199484f7e107454

#3 - 2017-01-14 07:44 AM - Even Rouault
- Resolution set to fixed/implemented

- % Done changed from 0 to 100

Note: after the fix, you need to explicitly select EPSG:3763 since there seems to be a problem with the server with EPSG:4326

#4 - 2017-01-17 02:37 AM - Giovanni Manghi
- Status changed from Open to Closed
